<template>
  <CCard>
    <CCardHeader :class="{hiddenCard: !isOpen}">
      <div
        class="title font-weight-bold text-black-50"
        @click="$emit('toggleOpen', index)"
      >
        <CIcon
          name="cilChevronTop"
          :class="['arrowIcon', !isOpen ? 'arrowIconDown' : '']"
        />
        <h4>{{ title }}</h4>
      </div>
    </CCardHeader>
    <CCollapse
      :show="isOpen"
    >
      <CCardBody>
        <slot/>
      </CCardBody>
    </CCollapse>
  </CCard>
</template>

<script>
  export default {
    name: "Section",
    props: {
      isOpen: {
        // Состояние секции
        type: Boolean,
        required: true,
      },
      // Заголовок секции
      title: String,
      index: {
        // Индекс секции
        type: Number,
        required: true,
      }
    }
  }
</script>
